StandardWrapperFacade (Tomcat API Documentation)
Keywords: org.apache.catalina.core.StandardWrapperFacade class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardWrapperFacade

    java.lang.Object
      org.apache.catalina.core.StandardWrapperFacade

All Implemented Interfaces:
  javax.servlet.ServletConfig

    public final class StandardWrapperFacade

extends java.lang.Object
implements javax.servlet.ServletConfig

Facade for the StandardWrapper object.

Version:
  $Revision: 505618 $ $Date: 2007-02-10 03:30:04 +0100 (Sat, 10 Feb 2007) $
Author:
  Remy Maucharat

Constructor Summary
`StandardWrapperFacade(StandardWrapper config)` Create a new facede around a StandardWrapper.

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String name)` Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`java.util.Enumeration` | `getInitParameterNames()` Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
`javax.servlet.ServletContext` | `getServletContext()` Returns a reference to the `ServletContext` in which the caller is executing.
`java.lang.String` | `getServletName()` Returns the name of this servlet instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardWrapperFacade

    public StandardWrapperFacade(StandardWrapper config)

  Create a new facede around a StandardWrapper.

Method Detail

### getServletName

    public java.lang.String getServletName()

  Description copied from interface: `javax.servlet.ServletConfig`
  Returns the name of this servlet instance. The name may be provided via server administration, assigned in the web application deployment descriptor, or for an unregistered (and thus unnamed) servlet instance it will be the servlet's class name.

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`
  Returns:
    the name of the servlet instance

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from interface: `javax.servlet.ServletConfig`
  Returns a reference to the `ServletContext` in which the caller is executing.

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`
  Returns:
    a `ServletContext` object, used by the caller to interact with its servlet container
  See Also:
    `ServletContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Description copied from interface: `javax.servlet.ServletConfig`
  Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`
  Parameters:
    `name` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Description copied from interface: `javax.servlet.ServletConfig`
  Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`
  Returns:
    an `Enumeration` of `String` objects containing the names of the servlet's initialization parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.